Bug 7890 - Clicking on webcal:// link does nothing (not even an error dialog)
: Clicking on webcal:// link does nothing (not even an error dialog)
Status: RESOLVED FIXED
Product: Browser
User interface
: 5.0/(1.2009.44-1)
: All Maemo
: Low normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: browser-bugs
: webcal://www.gnome.org/start/unstable...
:
:
:
  Show dependency tree
 
Reported: 2010-01-13 10:54 UTC by Murray Cumming
Modified: 2010-03-15 20:51 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2010-01-13 10:54:22 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Start the web browser
2. Navigate to http://live.gnome.org/TwoPointTwentynine
3. Click the "webcal schedule link" link.

EXPECTED OUTCOME:
4. The Browser should either
- Say that the webcal:// protocol is not supported. See
https://bugs.maemo.org/show_bug.cgi?id=7889
or
- Offer to subscribe the calendar application to that calendar.

ACTUAL OUTCOME:
- Nothing at all happens.

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

Always

EXTRA SOFTWARE INSTALLED:

Lots from extras-testing and extras-devel

OTHER COMMENTS:

Long-press on this link doesn't bring up any context menu either, though it
does for regular http:// links.
Comment 1 Andre Klapper maemo.org 2010-01-13 13:32:45 UTC
When clicking on the webcal link in internal version 2010.02-5 I get
  Unable to open.
  Address type not supported.
  webcal://www.gnome.org/start/unstable/schedule.ics

I can confirm that nothing happens in 1.2009.44-1, hence this has probably been
fixed in the meantime.
Comment 2 Stephen J. Gowdy 2010-01-14 22:53:35 UTC
That isn't the resolution I would have liked. It should add it so you can view
it.
Comment 3 timeless 2010-01-15 00:39:59 UTC
gowdy@cern.ch: If you want the calendar to support webcal: then you should try
filing a bug against the calendar application not the web browser. Please note
that in general adding support for entire features is not something that Nokia
management likes to manage with a bug tracker, they've proposed that such
requests be filed/managed in "Brainstorm", I suspect that might be
http://maemo.org/community/brainstorm -- either way, your bug doesn't belong in
the browser component, and we request that you not hijack other people's bugs.

This bug has an expected result "4" which clearly accepts an error message as a
valid possible outcome. We've actually done precisely what the reporter
requested. This is rare, and I would hope the reporter is happy about it. Such
cases should be framed and shown as examples of good bugs. The last thing we
want in them is reopening for another purpose. A bug's life should be short and
direct.
Comment 4 Stephen J. Gowdy 2010-01-15 09:01:39 UTC
Okay, what you say is very reasonable, thanks.
Comment 5 Andre Klapper maemo.org 2010-03-15 20:51:42 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).